콘텐츠로 건너뛰기

Finegrain Eraser

통합

모델 id finegrain-eraser
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/finegrain-eraser?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.27 270 API 크레딧 이 페이지에서 실행

API 키 받기
Finegrain 이미지 편집 #utility#editing

일반 텍스트 설명을 바탕으로 사진에서 객체를 제거하며 3가지 품질 모드를 제공합니다

Finegrain · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

제거할 콘텐츠를 지정하는 텍스트입니다.

•필수 image_url
파일을 끌어다 놓거나

편집할 이미지를 가리키는 URL입니다.

mode 기본값 standard

삭제 품질 설정입니다.

고급 seed

생성을 재현 가능하게 만드는 무작위성 제어 시드입니다.

POST /run/finegrain-eraser?wait=20 견적 → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/finegrain-eraser?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Finegrain Eraser 정보

`prompt`에서 설명한 객체를 이미지에서 지우므로 마스크나 박스가 필요하지 않습니다. 주변 영역은 장면에 맞게 채워집니다. `mode`는 속도와 품질을 조절하는 express, standard (기본값), premium을 지원하며, `seed`는 반복 가능한 결과를 위해 0에서 999까지 사용할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
편집할 이미지를 가리키는 URL입니다.
prompt필수
유형string
제거할 콘텐츠를 지정하는 텍스트입니다.
mode선택 사항
유형enum
기본값standard
expressstandardpremium
삭제 품질 설정입니다.
seed선택 사항
유형integer | null
0 – 999
생성을 재현 가능하게 만드는 무작위성 제어 시드입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "finegrain-eraser",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "used_seed": 1
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
image
object {url, content_type, file_name, file_size}지정된 콘텐츠가 제거된 결과 이미지입니다.
used_seed
integer생성에 사용하는 시드 값입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/finegrain-eraser.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt